package co.pixelbeard.theanfieldwrap.data.responses;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

import co.pixelbeard.theanfieldwrap.networking.BaseResponse;

public class SubscriptionItemResponse extends BaseResponse implements Serializable {

    @SerializedName("free_susbscriptions")
    List<FreeSubscription> freeSubscriptions;

    public List<FreeSubscription> getFreeSubscriptions() {
        return freeSubscriptions;
    }

    public void setFreeSubscriptions(List<FreeSubscription> freeSubscriptions) {
        this.freeSubscriptions = freeSubscriptions;
    }

    public static class FreeSubscription implements Serializable {

        @SerializedName("plan_duration")
        String plan_duration = "1";

        @SerializedName("subscription_auth_level")
        String subscriptionAuthLevel;

        @SerializedName("plan_name")
        String planName;

        public FreeSubscription(String subscriptionAuthLevel, String planName) {
            this.subscriptionAuthLevel = subscriptionAuthLevel;
            this.subscriptionAuthLevel = subscriptionAuthLevel;
            this.planName = planName;
        }

        public String getSubscriptionAuthLevel() {
            return subscriptionAuthLevel;
        }

        public void setSubscriptionAuthLevel(String subscriptionAuthLevel) {
            this.subscriptionAuthLevel = subscriptionAuthLevel;
        }

        public String getPlan_duration() {
            return plan_duration;
        }

        public void setPlan_duration(String plan_duration) {
            this.plan_duration = plan_duration;
        }

        public String getPlanName() {
            return planName;
        }

        public void setPlanName(String planName) {
            this.planName = planName;
        }

    }
}
